<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.base.connecting</groupId>
        <artifactId>generator</artifactId>
        <version>1.10.1</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
    <artifactId>generator-factory</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: GENERATOR :: GENERATOR FACTORY</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: GENERATOR :: GENERATOR FACTORY</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.platform.runtime.base.connecting.generator.factory
        </bundle.osgi.export.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
            <artifactId>generator-api</artifactId>
            <version>${project.version}</version>
        </dependency>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
			<artifactId>base-support</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.osgi</groupId>
			<artifactId>osgi.core</artifactId>
		</dependency>
    </dependencies>
</project>
